#! /usr/bin/env python3
# -*- coding: utf-8 -*-

#       idc_dim_edit.py        2020.3.25   kita

# 参考  icd_test_text.py
#       SxEntSeg\EditText\EditText.cs
#       SxEntSeg\CreateText\CreateText.cs
#       SxEntSeg\GetGeom\GetDimAttrib.cs
#       SxEntSeg\SetDimTextSize\SetDimTextSize.cs
#       SxEntSeg\GetGeomList\GetGeomList.cs

# 起動方法
# [path] py icd_dim_edit.py

# 履歴
# 2020.3.29     タップ、キリ穴の寸法注記追加（工事完了)
# 2020.5.15     他のコマンドが選択されると終了するように修正

import tkinter as tk
from tkinter import *
from tkinter import ttk
#import tkinter.ttk as ttk       # ComboBoxを使うのに必要
import sys                                  # 引数処理に必要なsys module
import subprocess
import os
#from time import sleep
import codecs
import zen_han              # 全角<-->半角変換
import re                   # 文字列から数値を取り出す 抽出

import clr
clr.AddReference('sxnet')
from sxnet import *

SxSys.init(3999)


"""# icd_dim_edit.help がpython フォルダー配下にあるので不要
if os.path.exists('x:\kensaku_db_files'):  # 事務所内
  path = 'x:/script/python/'
  path_py = 'py x:/script/python/'
else:
  path = 'c:/my_files/script/python/'  # 事務所外
  path_py = 'py c:/my_files/script/python/'
"""

#dim_edit_fn = 'c:\\ICADSX\\icd_dim_edit.txt'    
dim_edit_fn = 'icd_dim_edit.txt'    

# マウスクリックの受付
opt = SxOptSelect()
#opt.ent_mode = SxSys.ENTMODE_MULTI
opt.ent_mode = SxSys.ENTMODE_SEG        #要素の検索モードを、[要]にする
# SxSys.ENTMODE_SEG:実像部品/パーツのメンバセグメントを選択した場合に、 セグメントを返答します。
opt.select_ent = True
#opt.select_pos = True
opt.select_seg = True
opt.select_go = True

#--------------------------------
# ヘルプボタン
#--------------------------------
def push_help():
  #cmd = 'notepad '+path+'icd_dim_edit.hlp'
  cmd = 'notepad  icd_dim_edit.hlp'
  #cmd = 'notepad '+path+'icd_add_word_menu.txt'
  result = subprocess.call(cmd,shell=True)

#--------------------------------
#   マウスピック
#--------------------------------
def get_seg():
    inf = SxSys.select(opt)     # マウスピック
    try:
        if inf.status == SxInfSelect.STATUS_GO:   # @GO
            #print('GOが選択されました')
            seg = False
        elif inf.status == SxInfSelect.STATUS_ENT:  # segment 選択
            seg = inf.ent   # 選択された要素(Segment)を返す

    except:
        print('\n\n  寸法、文字列が選択されませんでした')
        seg = None
            
    return seg
 
#--------------------------------
#   Set Mesge 
#--------------------------------
def set_msg(msg):
    e_msg.delete(0,tk.END)
    e_msg.insert(0,msg)

#------------------------------------------------------------
# 寸法の前に記号を追加する 
#------------------------------------------------------------

def add_mark(seg,mk_no):
    geom = seg.getGeom() # Segmentのデーター構造オブジェクト
    geom_nm = geom.ToString()
    #print(geom_nm)
    #if geom_nm == "sxnet.SxGeomLengthDim":   # 長さ寸法
    if geom_nm.find('Dim') > -1:   # 寸法
        opt = SxOptDimEdit()      # 寸法線編集実行オプションクラス optは継承される

        m3 = geom.txtinfo.mark3     # 既存のマークNo
        if mk_no == 9:      # 任意のマーク
            if  m3 == mk_no:
                geom.txtinfo.mark3 = 0
            else:
                geom.txtinfo.mark3 = mk_no
                geom.txtinfo.opt_word = mk
        else:
            if m3 == mk_no:
                geom.txtinfo.mark3 = 0
            else:
                geom.txtinfo.mark3 = mk_no
                
        seg.editDimText(geom.txtinfo,opt)
    
    else: print('\n  寸法ではありません\007')

def push_mark():
    #set_msg('寸法ピック')
    #global mk_no, mk
    if v_mk.get() == 'φ': mk_no = 1
    elif v_mk.get() == '□': mk_no = 2
    elif v_mk.get() == 'R': mk_no = 3
    elif v_mk.get() == 'C': mk_no = 4
    elif v_mk.get() == 't': mk_no = 5
    elif v_mk.get() == 'M': mk_no = 6
    elif v_mk.get() == '⌒': mk_no = 7
    elif v_mk.get() == 'CR': mk_no = 8
    else: mk_no = 9; mk = v_mk.get()

    loop = True
    while loop:
        seg = get_seg()
        if seg == False: loop = False; break    # @G0
        #elif seg == None: continue
        elif seg == None: break     # 2020.5.15 終了 
        else: add_mark(seg,mk_no)

    print('\n    マークの追加、削除を終了しました\n\n')
    set_msg('マークの追加、削除を終了しました')


#------------------------------------------------------------
# (参考)寸法を追加、削除する 
#------------------------------------------------------------
def add_kk(seg):
    geom = seg.getGeom() # Segmentのデーター構造オブジェクト
    geom_nm = geom.ToString()
    if geom_nm.find('Dim') > -1:   # 寸法
        opt = SxOptDimEdit()      # 寸法線編集実行オプションクラス optは継承される

        ref = geom.txtinfo.val_refer     # (参考）
        if ref == False:      # ()無し
            geom.txtinfo.val_refer = True
        elif ref == True:
            geom.txtinfo.val_refer = False
        
        seg.editDimText(geom.txtinfo,opt)
    else: print('\n  寸法ではありません\007')

def push_kk():
    loop = True
    while loop:
        seg = get_seg()
        if seg == False: loop = False; break    # @G0
        #elif seg == None: continue
        elif seg == None: break     # 2020.5.15 終了 
        else: add_kk(seg)

    print('\n    (参考)の追加、削除を終了しました\n\n')
    set_msg('(参考)の追加、削除を終了しました')

             

#------------------------------------------------------------
# フラットバー記号と「引抜」を追加する 
#------------------------------------------------------------
def add_fbh(seg,thm):
    geom = seg.getGeom() # Segmentのデーター構造オブジェクト
    geom_nm = geom.ToString()
    #print(geom_nm)
    ss = '×' + str(thm) + '引抜'  
    if geom_nm.find('Dim') > -1:   # 寸法
        opt = SxOptDimEdit()      # 寸法線編集実行オプションクラス optは継承される

        fwd= geom.txtinfo.frontword     # 前置文字
        #print(ref)
        if fwd == '':      # フラットバー記号
            geom.txtinfo.frontword = ''
            geom.txtinfo.backword = ''
            geom.txtinfo.mark3 = 0

        elif fwd == '':
            geom.txtinfo.frontword = ''
            geom.txtinfo.backword = ss

            
        seg.editDimText(geom.txtinfo,opt)
    else: print('\n  寸法ではありません\007')

def push_fbh():
    thm = cb_th.get()
    loop = True
    while loop:
        seg = get_seg()
        if seg == False: loop = False; break    # @G0
        #elif seg == None: continue
        elif seg == None: break     # 2020.5.15 終了 
        else: add_fbh(seg,thm)

    print('\n    FB+引抜の追加、削除を終了しました\n\n')

#------------------------------------------------------------
# フラットバー記号を追加する 
#------------------------------------------------------------
def add_fb(seg,thm):
    geom = seg.getGeom() # Segmentのデーター構造オブジェクト
    geom_nm = geom.ToString()
    #print(geom_nm)
    ss = '×' + str(thm)  
    if geom_nm.find('Dim') > -1:   # 寸法
        opt = SxOptDimEdit()      # 寸法線編集実行オプションクラス optは継承される

        fwd= geom.txtinfo.frontword     # 前置文字
        #print(ref)
        if fwd == '':      # フラットバー記号
            geom.txtinfo.frontword = ''
            geom.txtinfo.backword = ''
            geom.txtinfo.mark3 = 0

        elif fwd == '':
            geom.txtinfo.frontword = ''
            geom.txtinfo.backword = ss

            
        seg.editDimText(geom.txtinfo,opt)
    else: print('\n  寸法ではありません\007')

def push_fb():
    thm = cb_t.get()
    loop = True
    while loop:
        seg = get_seg()
        if seg == False: loop = False; break    # @G0
        #elif seg == None: continue
        elif seg == None: break     # 2020.5.15 終了 
        else: add_fb(seg,thm)

    print('\n    FBの追加、削除を終了しました\n\n')

             

#------------------------------------------------------------
# 寸法の前に個数を追加する 
#------------------------------------------------------------
def add_num(seg,ss_num):
    geom = seg.getGeom() # Segmentのデーター構造オブジェクト
    geom_nm = geom.ToString()
    #print(geom_nm)
    #if geom_nm == "sxnet.SxGeomLengthDim":   # 長さ寸法
    if geom_nm.find('Dim') > -1:   # 寸法
        opt = SxOptDimEdit()      # 寸法線編集実行オプションクラス optは継承される
        #ss_num = str(num)
        num0 = geom.txtinfo.str_num     # 既存の個数

        if num0 == ss_num: geom.txtinfo.str_num = ''
        else: geom.txtinfo.str_num = ss_num
        #geom.txtinfo.str_num = ss_num
            #print( geom.txtinfo.mark3)
            
        seg.editDimText(geom.txtinfo,opt)
    else: print('\n  寸法ではありません\007')

def push_num():
    ss_num = cb_ks.get()
    loop = True
    while loop:
        seg = get_seg()
        if seg == False: loop = False; break    # @G0
        #elif seg == None: continue
        elif seg == None: break     # 2020.5.15 終了 
        else: add_num(seg, ss_num)
 
    print('\n    個数の追加を終了しました\n\n')
    set_msg('個数の追加を終了しました')

#--------------------------------------------------------
#   一般仕上げを呼び出す
#--------------------------------------------------------

def push_ippan():
    #ss = ';MACRO;@ION;LET /ippan/ @go' #これでもOK
    #以下のマクロの記述でもOK　なんとスペースの数も意味があるらしい！！ 
    ss = ';BLOAD'
    ss = ss+';LOD                                                                            '
    ss = ss+'.FILE /一般仕上げ一覧                          /                                '
    ss = ss+'.DIR1 /C:\ICADSX\parts\部品フォルダ１                                  /        '
    ss = ss+'.DIR2 /                                                                /        '
    ss = ss+'.DIR3 /                                                                /        '
    ss = ss+'.DIR4 /                                                                /        '
    ss = ss+'.LKSMOD /1/                                                                     '
    ss = ss+':                                                                               '

    #ss = ';MACRO;@ION;LET /ippan/ @go'
    SxSys.command(ss,True)

#------------------------------------------------------------
# はめあいを追加、削除する 
#------------------------------------------------------------
def add_ha(seg):
    geom = seg.getGeom() # Segmentのデーター構造オブジェクト
    geom_nm = geom.ToString()
    if geom_nm.find('Dim') > -1:   # 寸法
        opt = SxOptDimEdit()      # 寸法線編集実行オプションクラス optは継承される
        hameai0 = zen_han.Zen2Han(geom.txtinfo.hmword)     # 既存のはめあい
        hameai = cb_ha.get()      # はめあい文字

        #print(hameai0,hameai)
        if  hameai== hameai0:      # 同じ
            geom.txtinfo.hmword = ''
        else:
            geom.txtinfo.hmword = hameai
        
        seg.editDimText(geom.txtinfo,opt)
    else: print('\n  寸法ではありません\007')

def push_ha():
    loop = True
    while loop:
        seg = get_seg()
        if seg == False: loop = False; break    # @G0
        #elif seg == None: continue
        elif seg == None: break     # 2020.5.15 終了 
        else: add_ha(seg)

    print('\n    はめあいの追加、削除を終了しました\n\n')
    set_msg('はめあいの追加、削除を終了しました')


#------------------------------------------------------------
# 公差を追加、削除する 
#------------------------------------------------------------
def add_ksa(seg):
    geom = seg.getGeom() # Segmentのデーター構造オブジェクト
    geom_nm = geom.ToString()
    if geom_nm.find('Dim') > -1:   # 寸法
        opt = SxOptDimEdit()      # 寸法線編集実行オプションクラス optは継承される
        tmp0 = cb_ksa.get()
        tmp = tmp0.split('/')
        if len(tmp) > 1:    #上公差、下公差
            ss_up = tmp[0]; ss_dn = tmp[1]
        else:
            ss_up = tmp0; ss_dn = ''
        
        # 既設公差の取得
        ss_up0 = geom.txtinfo.upper_tolword.replace(' ','')      # 上段既存の公差 Space削除
        ss_dn0 = geom.txtinfo.down_tolword.replace(' ','')       # 下段既存の公差
            
        #print(ss_up0)
        #print(ss_up)
        #print(ss_dn0)
        #print(ss_dn)

        if  ss_up == ss_up0 and ss_dn == ss_dn0:      # 同じ
            print('同じ公差')
            geom.txtinfo.upper_tolword = ''
            geom.txtinfo.down_tolword = ''
        else:
            geom.txtinfo.upper_tolword = ss_up
            geom.txtinfo.down_tolword = ss_dn
        
        seg.editDimText(geom.txtinfo,opt)
    else: print('\n  寸法ではありません\007')

def push_ksa():
    loop = True
    while loop:
        seg = get_seg()
        if seg == False: loop = False; break    # @G0
        #elif seg == None: continue
        elif seg == None: break     # 2020.5.15 終了 
        else: add_ksa(seg)

    print('\n    公差の追加、削除を終了しました\n\n')
    set_msg('公差の追加、削除を終了しました')



#------------------------------------------------------------
# 寸法の後に文字（キリ）を追加する  後置文字 
#------------------------------------------------------------
def add_backword(seg,back_ss):
    geom = seg.getGeom() # Segmentのデーター構造オブジェクト
    geom_nm = geom.ToString()
    #print(geom_nm)
    #if geom_nm == "sxnet.SxGeomLengthDim":   # 長さ寸法
    if geom_nm.find('Dim') > -1:   # 寸法
        opt = SxOptDimEdit()      # 寸法線編集実行オプションクラス optは継承される
        #ss_num = str(num)
        back_ss0 = geom.txtinfo.backword     # 既存のbackword

        if back_ss == back_ss0 : geom.txtinfo.backword = ''
        else: geom.txtinfo.backword = back_ss
        #geom.txtinfo.str_num = ss_num
            #print( geom.txtinfo.mark3)
            
        seg.editDimText(geom.txtinfo,opt)
    else: print('\n  寸法ではありません\007')

def push_backword():
    back_ss = cb_kt.get()
    loop = True
    while loop:
        seg = get_seg()
        if seg == False: loop = False; break    # @G0
        #elif seg == None: continue
        elif seg == None: break     # 2020.5.15 終了 
        else: add_backword(seg, back_ss)

    print('\n    後置文字の追加を終了しました\n\n')
    set_msg('後置文字の追加を終了しました')


#------------------------------------------------------------
# 寸法の下に文字（円周等分）等を追加する 
#------------------------------------------------------------
def add_downword(seg,down_ss):
    geom = seg.getGeom() # Segmentのデーター構造オブジェクト
    geom_nm = geom.ToString()
    if geom_nm.find('Dim') > -1:   # 寸法
        opt = SxOptDimEdit()      # 寸法線編集実行オプションクラス optは継承される
        #opt.round = geom.diminfo.round
        down_ss0 = geom.txtinfo.downword     # 既存のdownword
        print(down_ss0,down_ss)

        if down_ss == down_ss0 : geom.txtinfo.downword = ''
        else: geom.txtinfo.downword = down_ss
            
        seg.editDimText(geom.txtinfo,opt)
    else: print('\n  寸法ではありません\007')

def push_downword():
    down_ss = zen_han.Han2Zen(cb_st.get())
    loop = True
    while loop:
        seg = get_seg()
        if seg == False: loop = False; break    # @G0
        #elif seg == None: continue
        elif seg == None: break     # 2020.5.15 終了 
        else: add_downword(seg, down_ss)
 
    print('\n    下置文字の追加を終了しました\n\n')
    set_msg('下置文字の追加を終了しました')


#------------------------------------------------------------
# 寸法の桁数(Number od digirs)を編集する
#       参考    SxEntSeg\GetGeomList\GetGeomList.cs
#------------------------------------------------------------
def edit_dim(seg,dim):    # (SxEntSeg, Int)
    geom = seg.getGeom() # Segmentのデーター構造オブジェクト
    geom_nm = geom.ToString()
    #print(geom_nm)
    #if geom_nm == "sxnet.SxGeomLengthDim":   # 長さ寸法
    if geom_nm.find('Dim') > -1:   # 寸法
        opt = SxOptDimEdit()      # 寸法線編集実行オプションクラス optは継承される
        #ss_num = str(num)
        dim0 = geom.diminfo.round     # 既存の桁数
        #if nd == nd0 : opt.round = -1
        #else: opt.roud = nd
        opt.round = dim
        #print(opt.round,nd)     
        seg.editDimText(geom.txtinfo,opt)
    else: print('\n  寸法ではありません\007')

def push_dim():
    ss_dim = cb_dim.get()
    dim = int(ss_dim)         # 整数化
    loop = True
    while loop:
        seg = get_seg()
        if seg == False: loop = False; break    # @G0
        #elif seg == None: continue
        elif seg == None: break     # 2020.5.15 終了 
        else: edit_dim(seg, dim)

    print('\n    寸法桁数の編集を終了しました\n\n')
    set_msg('寸法桁数の編集を終了しました')



#------------------------------------------------------------
# (個数)タップ寸法注記作成
#------------------------------------------------------------
def make_tks(seg,num):    # 
    #print('"配置点座標と引出し方向を指定してください。')
    pos0 = SxSys.getPos()   # 配置位置
    pos1 = SxSys.getPos()   # 引き出し方向
    
    opt = SxOptDiameterDim()  # 径寸法線作成オプションオブジェクト
    if num > 1:
        opt.str_num = str(num)
    if pos0.x < pos1.x :    # 右向き
        opt.lead_left = False
    else:                   # 左向き
        opt.lead_left = True 
    
    try:
        seg_tmp = SxEntSeg.createDiameterDimLead(seg, pos0, opt)    #仮の寸法作成
    except:
        print('\n    径寸法対象ではありません\007')

        return False

    #opt1 = SxOptDimEdit()   # 寸法線編集実行オプションクラス optは継承される 
    
    # Segmentの所属するパーツ（実像部品）オブジェクトを作成する！  Note!
    rpart = seg.getRPart()    # セグメントの所属する実像部品を取得する  
    rp_inf = rpart.getInfDetail()
    rp_nm = rp_inf.name
    #print(rp_nm)

    if rp_nm.find('M') > -1 and rp_nm.find('×') > -1 :        # タップx深さ
        #print('タップｘ深さ')
        idx = rp_nm.index('×')
        ss = rp_nm[idx:]
        geom = seg_tmp.getGeom() # Segmentのデーター構造オブジェクト
        geom.txtinfo.backword = ss
        geom.txtinfo.mark3 = 6      # 'Ｍ'
        seg_tmp.editDimText(geom.txtinfo,None)  # optは省略

    elif rp_nm.find('M') > -1:        # タップ
        #print('タップ')
        mk_no = 6                   # 'Ｍ'
        add_mark(seg_tmp, mk_no)           # マーク追加

    elif rp_nm.find('ｷﾘφ') > -1 :  # ザグリ穴
        #print('ザグリ')
        idx = rp_nm.index('ｷﾘ'); ss = rp_nm[idx:]
        add_backword(seg_tmp, ss)  # 後置文字追加

    elif rp_nm.find('ｷﾘ') > -1:     # キリ穴ｘ深さ
        #print('深さ付きキリ穴')
        idx = rp_nm.index('ｷﾘ'); ss = rp_nm[idx:]
        add_backword(seg_tmp, ss)  # 後置文字追加

    elif rp_nm.find('キリ') > -1:     # キリ穴
        #print('キリ穴')
        add_backword(seg_tmp, 'キリ')  # 後置文字追加
    

def push_tks():
    ss_num = cb_tks.get()
    num = int(ss_num)         # 整数化
    loop = True
    while loop:
        seg = get_seg()
        if seg == False: loop = False; break    # @G0
        #elif seg == None: continue
        elif seg == None: break     # 2020.5.15 終了 
        else: tmp = make_tks(seg, num)
 

    print('\n    タップ寸法注記作成を終了しました\n\n')
    set_msg('タップ寸法注記作成を終了しました')
    

#------------------------------------------------------------
# 図枠、表題欄の作成
#       参考   
#------------------------------------------------------------
def push_zwk():
    ss_size = e_zwk.get()

    print('\n    図枠、表題欄を作成しました\n\n')


#------------------------------------------------------------
#   Commboboxの文字情報読み込み
#------------------------------------------------------------
if len(sys.argv) < 2:   #引き数無し
    fn = 'icd_dim_edit.txt'
elif len(sys.argv) == 2:    # 引き数１個 
    fn = sys.argv[1]
    
fp = codecs.open(fn,'r','utf-8')    # 文字コードを指定して読み込み
lines0 = fp.readlines()
fp.close()
lines = []
for line in lines0:
    tmp = line.rstrip()     
    lines.append(tmp)       # 行末の改行を削除

#print(lines)

idx = lines.index('#記号')
ss_cb_mk = lines[idx+1].split(',')
#print(ss_cb_mk)

idx = lines.index('#引抜+厚み')
ss_cb_th = lines[idx+1].split(',')

idx = lines.index('#厚み')
ss_cb_t = lines[idx+1].split(',')

idx = lines.index('#個数')
ss_cb_ks = lines[idx+1].split(',')

idx = lines.index('#はめあい')
ss_cb_ha = lines[idx+1].split(',')

idx = lines.index('#公差')
ss_cb_ksa = lines[idx+1].split(',')

idx = lines.index('#後置文字')
ss_cb_kt = lines[idx+1].split(',')

idx = lines.index('#下置文字')
ss_cb_st = lines[idx+1].split(',')

idx = lines.index('#寸法桁数')
ss_cb_dim = lines[idx+1].split(',')

idx = lines.index('#タップ、キリ個数')
ss_cb_tks = lines[idx+1].split(',')

idx = lines.index('#図枠')
ss_cb_zwk = lines[idx+1].split(',')



#************************************
# 画面設定、ボタン等の部品配置
#************************************

root = tk.Tk()
root.attributes("-topmost", True)    # 常に前面に表示
root.configure(bg='RoyalBlue4')
root.title('寸法編集 Ver.0.92')   #タイトル
#root.minsize(600,350)    # Windowの大きさ
root.geometry('250x460+0+0')
# blue  red  khaki3  cyan  white

btn_bcol = 'grey21'     #ボタン背景色
btn_tcol = 'white'      #ボタン文字色
label_bcol = 'khaki3'   #ラベル背景色
label_tcol = 'black'   #ラベル文字色
e_bcol = 'khaki4'

dx = 50;  dy = 35
x00 = 5; x01 =x00+dx; y00 = 5

#----------------------------------------------------------------
ss = 'ヘルプ'; num = 0
#----------------------------------------------------------------
btn_help = tk.Button(root,text = ss,command = push_help,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn_help.place(x=x00+150,y=y00+num*dy)





def push_cb_edit():
  cmd = 'notepad '+ dim_edit_fn
  result = subprocess.call(cmd,shell=True)

#----------------------------------------------------------------
ss = 'Box文字編集'; num = 1
#----------------------------------------------------------------
btn_help = tk.Button(root,text = ss,command = push_cb_edit,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn_help.place(x=x00+150,y=y00+num*dy)



#---------------------------------------------------
ss = 'マーク追加、削除'; num = 0
#---------------------------------------------------
btn = tk.Button(root,text = ss,command = push_mark,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x01,y=y00+num*dy)

# Combobox
v_mk = StringVar()
cb_mk = ttk.Combobox(root, width=2, textvariable=v_mk)
cb_mk['values']=ss_cb_mk
cb_mk.set("t"); mk_no = 5
cb_mk.place(x=x00, y=y00+num*dy)


#---------------------------------------------------
ss = '(参考)追加、削除'; num = 1
#---------------------------------------------------
btn = tk.Button(root,text = ss,command = push_kk,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x01,y=y00+num*dy)

#---------------------------------------------------
ss = '引抜  追加、削除'; num = 2  # FB + 引抜
ss1 = '□ * ×'
#---------------------------------------------------
label = tk.Label(root,text=ss1 ,bg=label_bcol)  #  Labelの作成
label.place(x=x00,y=y00+num*dy)    #  Labelの位置

# Combobox
v_th = StringVar()
cb_th = ttk.Combobox(root, width=2, textvariable=v_th)
cb_th['values']=ss_cb_th
cb_th.set("6")
cb_th.place(x=x00+40, y=y00+num*dy)

btn = tk.Button(root,text = ss,command = push_fbh,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x00+80,y=y00+num*dy)


#---------------------------------------------------
ss = ' 追加、削除'; num = 3  # FB
ss1 = '□ * ×'
#---------------------------------------------------
label = tk.Label(root,text=ss1 ,bg=label_bcol)  #  Labelの作成
label.place(x=x00,y=y00+num*dy)    #  Labelの位置

# Combobox
v_t = StringVar()
cb_t = ttk.Combobox(root, width=2, textvariable=v_t)
cb_t['values']=ss_cb_t
cb_t.set("6")
cb_t.place(x=x00+40, y=y00+num*dy)

btn = tk.Button(root,text = ss,command = push_fb,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x00+80,y=y00+num*dy)



#---------------------------------------------------
ss = '個数追加'; num = 4
#---------------------------------------------------
btn = tk.Button(root,text = ss,command = push_num,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x01,y=y00+num*dy)

# Combobox
v_ks = StringVar()
cb_ks = ttk.Combobox(root, width=2, textvariable=v_ks)
cb_ks['values']=ss_cb_ks
cb_ks.set("2")
cb_ks.place(x=x00, y=y00+num*dy)

#-------------------------------------------------------
ss = '一般仕上げ'; num = 4   #push_tks
#-------------------------------------------------------
btn = tk.Button(root,text = ss,command = push_ippan,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x00+130,y=y00+num*dy)

#---------------------------------------------------
ss = 'はめあい'; num = 5
#---------------------------------------------------
btn = tk.Button(root,text = ss,command = push_ha, bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x01,y=y00+num*dy)

# Combobox
v_ha = StringVar()
cb_ha = ttk.Combobox(root, width=3, textvariable=v_ha)
cb_ha['values']=ss_cb_ha
cb_ha.set("h8")
cb_ha.place(x=x00, y=y00+num*dy)


#---------------------------------------------------
ss = '公差'; num = 6
#--------------------------------------------------
btn = tk.Button(root,text = ss,command = push_ksa, bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x00+130,y=y00+num*dy)

# Combobox
v_ksa = StringVar()
cb_ksa = ttk.Combobox(root, width=15, textvariable=v_ksa)
cb_ksa['values']=ss_cb_ksa
cb_ksa.set("+1/0")
cb_ksa.place(x=x00, y=y00+num*dy)


#---------------------------------------------------
ss = '後置文字追加'; num = 7
#---------------------------------------------------
btn = tk.Button(root,text = ss,command = push_backword,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x00+130,y=y00+num*dy)

# Combobox
v_kt = StringVar()
cb_kt = ttk.Combobox(root, width=15, textvariable=v_kt)
cb_kt['values']=ss_cb_kt
cb_kt.set("キリ")
cb_kt.place(x=x00, y=y00+num*dy)

#---------------------------------------------------
ss = '下置文字追加'; num = 8
#---------------------------------------------------
btn = tk.Button(root,text = ss,command = push_downword,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x00+130,y=y00+num*dy)

# Combobox
v_st = StringVar()
cb_st = ttk.Combobox(root, width=15, textvariable=v_st)
cb_st['values']=ss_cb_st
cb_st.set("(円周等分)")
cb_st.place(x=x00, y=y00+num*dy)




#---------------------------------------------------
ss = '寸法桁数編集'; num = 9
#---------------------------------------------------
btn = tk.Button(root,text = ss,command = push_dim,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x01,y=y00+num*dy)

# Combobox
v_dim = StringVar()
cb_dim = ttk.Combobox(root, width=2, textvariable=v_dim)
cb_dim['values']=ss_cb_dim
cb_dim.set("-1")
cb_dim.place(x=x00, y=y00+num*dy)



#-------------------------------------------------------
ss = '(個数)タップ寸法注記作成'; num = 10   #push_tks
#-------------------------------------------------------
btn = tk.Button(root,text = ss,command = push_tks,bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x01,y=y00+num*dy)

# Combobox
v_tks = StringVar()
cb_tks = ttk.Combobox(root, width=2, textvariable=v_tks)
cb_tks['values']=ss_cb_tks
cb_tks.set("2")
cb_tks.place(x=x00, y=y00+num*dy)


#---------------------------------------------------
ss = '図枠、表題欄作成i(工事中)'; num = 11
#---------------------------------------------------
btn = tk.Button(root,text = ss,command = push_zwk, bg=btn_bcol,fg=btn_tcol) #ボタンの作成
btn.place(x=x01,y=y00+num*dy)

# Combobox
v_zwk = StringVar()
cb_zwk = ttk.Combobox(root, width=4, textvariable=v_zwk)
cb_zwk['values']=ss_cb_zwk
cb_zwk.set("A4B")
cb_zwk.place(x=x00, y=y00+num*dy)



#---------------------------------------------------
ss = '@GO(右クリック）で終了'; num = 12
#---------------------------------------------------
e_msg = tk.Entry(root,width=40,bg=e_bcol)  #  エントリー部品の生成
e_msg.place(x=x00,y=y00 + num*dy)
e_msg.insert(tk.END,ss)
#label_cmnt= tk.Label(root,text=ss ,bg=label_bcol)  # kwd Labelの作成
#label_cmnt.place(x=x00+20,y=y00+(num)*dy)    # kwd Labelの位置



root.mainloop()
